Bug 1188412 - Debugging with variable inspection view crashes frequently
Summary: Debugging with variable inspection view crashes frequently
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-02 19:13 UTC by rng
Modified: 2015-06-30 00:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:06:13 UTC


Attachments (Terms of Use)
Debug log file produced by eclipse (145.13 KB, text/plain)
2015-02-02 19:13 UTC, rng
no flags Details
Log file from Fedora 21 crash (121.15 KB, text/plain)
2015-03-30 21:04 UTC, rng
no flags Details

Description rng 2015-02-02 19:13:13 UTC
Created attachment 987225 [details]
Debug log file produced by eclipse

Description of problem: If you debug a Java program using eclipse and open the variable inspection view (Alt-Shift-Q and then "v") Eclipse periodically hangs and then crashes.


Version-Release number of selected component (if applicable):
Eclipse Version: 4.3.2
Build id: 3fc20


How reproducible: see above. This typically happens when the program is stopped at a breakpoint and the variable inspection view is open. It does not happen all the time, but happens intermittedly.


Steps to Reproduce:
1. Set breakpoint in java program
2. Start debug session
3. When breakpoint is reached,  open the variable inspection view (Alt-Shift-Q and then "v")
4. Continue stepping through the program. Sometimes this works for a given session and then 1 or 2 sessions down the road it crashes. 

Actual results: Eclipse crashes


Expected results: It should just work.


Additional info: Please see attached log file which points towards C  [libgtk-x11-2.0.so.0+0x256e92]  gtk_tree_view_get_background_area+0xb2 as being the source fo the problem.

Comment 1 rng 2015-03-30 21:03:31 UTC
Please note, the same (or at least a very similar) problem seems to exist under Fedora 21. Please see the new log file which was generated on F21 with all available updates applied.

Comment 2 rng 2015-03-30 21:04:30 UTC
Created attachment 1008682 [details]
Log file from Fedora 21 crash

Debug log file from Fedora 21 with all available updates applied.

Comment 3 Fedora End Of Life 2015-05-29 13:39:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-30 00:06:13 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.